package cn.com.ty.lift.ud.userAccount.service;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.common.model.PushUserInfo;
import cn.com.ty.lift.ud.userAccount.mapper.entity.UserAccount;

/**
 * 用户账号表 -Service
 * 
 * @author Xson
 * @date 2020-05-13
 */
public interface IUserAccountService extends IService<UserAccount> {

    void deleteAccount(Long id);

    UserAccount getOneById(Long userId);

    void updateInfo(String mobile,Long userId);
    
    void updateUserExpert(String userId);

    void noDeleteAccount(Long userId);
    
    PushUserInfo getPushUserInfoByUserId(String userId);
}
